%define summary An X Window System screenshot grabber.
%define name xwpick
%define exec /usr/X11R6/bin/xwpick
%define section Amusement/Toys

Name: %{name}
Summary: %{summary}

Version: 2.20
Release: 4mdk
Copyright: MIT
Icon: %{name}.xpm
Group: Toys
Source: ftp://ftp.x.org/contrib/applications/xwpick-2.20.tar.bz2
Source1: %{name}_16x16.xpm
Source2: %{name}_32x32.xpm
Prefix: %{_prefix}
BuildRoot: /var/tmp/xwpick-root

%description
The xwpick program allows you to choose an image or a rectangular piece
of an image from an X Window System window and then write the image to
a file in a variety of formats, incuding PostScript(TM), GIF, and PICT.

Install the xwpick program if you need to take screenshots from X Window
System screens and write them to files. 

%prep
%setup -q

%build
xmkmf
make

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install install.man


find $RPM_BUILD_ROOT/ -type 'f'|grep -E '.*[0-9]($|x)' | xargs file \
	| grep troff | cut -d: -f1 | xargs bzip2 -9

for i in `find $RPM_BUILD_ROOT/ -type 'f' -perm '+a=x' ! -name 'lib*so*'`; do
	file $i |grep -q "not stripped" && strip $i
done

# icons
install -m 644 -D  %{SOURCE1}  \
	$RPM_BUILD_ROOT/usr/share/icons/mini/%{name}.xpm 
install -m 644 -D %{SOURCE2}   \
	$RPM_BUILD_ROOT/usr/share/icons/%{name}.xpm 

# (fg) Menu entry
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu
cat >$RPM_BUILD_ROOT/usr/lib/menu/%{name} <<EOF
?package(%{name}):\
	command="%{exec}"\
	needs="text"\
	icon="/usr/share/icons/%{name}.xpm"\
	section="%{section}"\
	title="%{name}"\
	longtitle="%{name}: %{summary}"
EOF

%clean
rm -rf $RPM_BUILD_ROOT
%post
## add menu entry 
[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true

%postun
## remove menu entry 
[ "$1" = 0 ] && [ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true

%files
%defattr(-,root,root)
/usr/X11R6/bin/xwpick
/usr/X11R6/man/man1/xwpick.1*

/usr/lib/menu/%{name}
/usr/share/icons/%{name}.xpm
/usr/share/icons/mini/%{name}.xpm

%changelog
* Fri Apr 7 2000 Denis Havlik <denis@mandrakesoft.com> 2.20-4mdk
- group: toys
- menu entry + icons (need beter icons)

* Fri Nov 5 1999 Damien Krotkine <damien@mandrakesoft.com> 2.20-3mdk
- Mandrake release

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 11)

* Fri Dec 20 1998 Bill Nottingham <notting@redhat.com>
- build for 6.0

* Thu Aug 13 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Oct 21 1997 Otto Hammersmith <otto@redhat.com>
- fixed src url

* Fri Aug 22 1997 Erik Troan <ewt@redhat.com>
- built against glibc
